Skip Menu |
 

This queue is for tickets about the Data-Compare-Type CPAN distribution.

Report information
The Basics
Id: 91910
Status: new
Priority: 0/
Queue: Data-Compare-Type

People
Owner: Nobody in particular
Requestors: SREZIC [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 0.07
Fixed in: (no value)



Subject: Missing PREREQ_PM Email::Valid
This module is also missing in PREREQ_PM, it seems. Regards, Slaven
Download (untitled) / with headers
text/plain 716b
On 2014-01-06 19:22:17, SREZIC wrote: Show quoted text
> This module is also missing in PREREQ_PM, it seems.
Now I see that there's no PREREQ_PM at all, as the module uses Module::Install. Probably there's a way to specify prerequisites correctly also with Module::Install-based distributions, but the following code snippet is clearly wrong: if(@not_available) { print qq{# The following modules are not available.\n}; print qq{# `perl $0 | cpanm` will install them:\n}; print $_, "\n" for @not_available; exit 1; } A build script should never do an "exit" for missing prerequisites; missing prereqs should be resolved by the installer program automatically (CPAN.pm, CPANPLUS or cpanm).


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.